This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 143521 - yum puts files in /usr/lib/python2.3/site-packages
yum puts files in /usr/lib/python2.3/site-packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:05 EST by Nathan G. Grennan
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 17:18:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2004-12-21 17:05:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
yum packaged for x86_64 seems to improperly put files in
/usr/lib/python2.3/site-packages. It should be
/usr/lib64/python2.3/site-packages. This package isn't alone, and I
discovered this problem while trying to install bittorrent from
pre-extras.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143520

Version-Release number of selected component (if applicable):
yum-2.1.12-0.fc3

How reproducible:
Always

Steps to Reproduce:
1. rpm -qf yum | grep site-packages
2. rpm -qf python | grep site-packages

    

Actual Results:  yum uses /usr/lib and python uses /usr/lib64

Expected Results:  yum and python use /usr/lib64

Additional info:
Comment 1 Jeremy Katz 2004-12-21 17:18:51 EST
yum is noarch, hence its python files go in /usr/lib.  Multilib arches
like x86_64 search both /usr/lib64 and /usr/lib for python files.

Otherwise, it would be impossible to have a noarch python package.
Comment 2 Nathan G. Grennan 2004-12-21 17:32:00 EST
I forgot to take noarch into account. In my head I was comparing yum
to python and one is noarch and the other is i386.

Note You need to log in before you can comment on or make changes to this bug.